function coeff=backsubL(mat, rhs);
% backward substitution for rhs=mat*coeff
coeff=zeros(size(rhs));
for i=1:length(rhs)
  coeff(i,1)=rhs(i,1);  
  for j=1:i-1
      coeff(i,1)=coeff(i,1)-coeff(j,1)*mat(i,j);   
  end
  coeff(i,1)=coeff(i,1)/mat(i,i);  
end
% bLtest=norm(mat*coeff-rhs)