function [Xe, ind, xee, yee, xm, ym]=cutcircle(he)
% generates regular points Xe in circle with lower left quadrangle cut out
% The index list ind indicates the positions in meshgrid (xm,ym) 
% when the meshgrid is written in a single point list (xee, yee)
dx=2; % space dimension
dy=dx;
% he=0.01; % 1 D stepsize for evaluation grid. 
% The grid can consist of very many points.
% he=0.01 gives Np=40401 points to work on
[xm, ym]=meshgrid(-1:he:1,-1:he:1);
xee=xm(:);
yee=ym(:);
ind=find((xee.^2+yee.^2<=1)&((xee>=0)|(yee>=0)) );
msk=zeros(size(xee));
msk(ind)=1.0;
% figure
% plot(xee(ind),yee(ind),'.')
% title('Discretized domain')
% disp('Hit enter to proceed')
% pause
Xe=[xee(ind), yee(ind)];
